OsgiPluginConvention (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api.plugins.osgi

## Class OsgiPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.osgi.OsgiPluginConvention

-     @Deprecated
      public class OsgiPluginConvention
      extends Object

  Deprecated.
  Is mixed into the project when applying the `OsgiPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OsgiPluginConvention​(org.gradle.api.internal.project.ProjectInternal project)` | Deprecated. Creating instances of this class is deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OsgiManifest` | `osgiManifest()` | Deprecated. Creates a new instance of `OsgiManifest`.
    `OsgiManifest` | `osgiManifest​(Closure closure)` | Deprecated. Creates and configures a new instance of an `OsgiManifest` .
    `OsgiManifest` | `osgiManifest​(Action<? super OsgiManifest> action)` | Deprecated. Creates and configures a new instance of an `OsgiManifest`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OsgiPluginConvention

          @Deprecated
          public OsgiPluginConvention​(org.gradle.api.internal.project.ProjectInternal project)

      Deprecated.
      Creating instances of this class is deprecated. These should be created by the OSGi plugin only.
      Creates an `OsgiPluginConvention` instance.

  - ### Method Detail

    - #### osgiManifest

          public OsgiManifest osgiManifest()

      Deprecated.
      Creates a new instance of `OsgiManifest`. The returned object is preconfigured with:

           version: project.version
           name: project.archivesBaseName
           symbolicName: project.group + "." + project.archivesBaseName (see below for exceptions to this rule)

      The symbolic name is usually the group + "." + archivesBaseName, with the following exceptions
      - if group has only one section (no dots) and archivesBaseName is not null then the first package name with classes is returned. eg. commons-logging:commons-logging -> org.apache.commons.logging
      - if archivesBaseName is equal to last section of group then group is returned. eg. org.gradle:gradle -> org.gradle
      - if archivesBaseName starts with last section of group that portion is removed. eg. org.gradle:gradle-core -> org.gradle.core

    - #### osgiManifest

          public OsgiManifest osgiManifest​(Closure closure)

      Deprecated.
      Creates and configures a new instance of an `OsgiManifest` . The closure configures the new manifest instance before it is returned.

    - #### osgiManifest

          public OsgiManifest osgiManifest​(Action<? super OsgiManifest> action)

      Deprecated.
      Creates and configures a new instance of an `OsgiManifest`. The action configures the new manifest instance before it is returned.
      Since:
        3.5